## org.gnu.gtk
Class Rc

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.Rc

public class Rc
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Rc()`

Method Summary
`void` `addDefautlFile(java.lang.String filename)`
`java.lang.String` `findModuleInPath(java.lang.String modulefile)`
`java.lang.String[]` `getDefaultFiles()`
`java.lang.String` `getIMModuleFile()`
`java.lang.String` `getIMModulePath()`
`java.lang.String` `getModuleDir()`
`Style` `getStyle(Widget widget)`
`java.lang.String` `getThemeDir()`
`protected static void` `gtk_rc_add_default_file(java.lang.String filename)`
`protected static java.lang.String` `gtk_rc_find_module_in_path(java.lang.String moduleFile)`
`protected static java.lang.String[]` `gtk_rc_get_default_files()`
`protected static java.lang.String` `gtk_rc_get_im_module_file()`
`protected static java.lang.String` `gtk_rc_get_im_module_path()`
`protected static java.lang.String` `gtk_rc_get_module_dir()`
`protected static Handle` `gtk_rc_get_style_by_paths(Handle settings, java.lang.String widget_path, java.lang.String class_path, int type)`
`protected static Handle` `gtk_rc_get_style(Handle widget)`
`protected static java.lang.String` `gtk_rc_get_theme_dir()`
`protected static void` `gtk_rc_parse_string(java.lang.String rcString)`
`protected static void` `gtk_rc_parse(java.lang.String filename)`
`protected static boolean` `gtk_rc_reparse_all_for_settings(Handle settings, boolean forceLoad)`
`protected static boolean` `gtk_rc_reparse_all()`
`protected static void` `gtk_rc_reset_styles(Handle settings)`
`protected static void` `gtk_rc_set_default_files(java.lang.String[] filenames)`
`void` `parse(java.lang.String filename)`
`void` `parseString(java.lang.String rcStr)`
`static void` `resetStyles(Settings settings)`
`void` `setDefaultFiles(java.lang.String[] files)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rc

    public Rc()

Method Detail

### addDefautlFile

    public void addDefautlFile(java.lang.String filename)

### setDefaultFiles

    public void setDefaultFiles(java.lang.String[] files)

### getDefaultFiles

    public java.lang.String[] getDefaultFiles()

### getStyle

    public Style getStyle(Widget widget)

### parse

    public void parse(java.lang.String filename)

### parseString

    public void parseString(java.lang.String rcStr)

### findModuleInPath

    public java.lang.String findModuleInPath(java.lang.String modulefile)

### getThemeDir

    public java.lang.String getThemeDir()

### getModuleDir

    public java.lang.String getModuleDir()

### getIMModulePath

    public java.lang.String getIMModulePath()

### getIMModuleFile

    public java.lang.String getIMModuleFile()

### resetStyles

    public static void resetStyles(Settings settings)

### gtk_rc_add_default_file

    protected static final void gtk_rc_add_default_file(java.lang.String filename)

### gtk_rc_set_default_files

    protected static final void gtk_rc_set_default_files(java.lang.String[] filenames)

### gtk_rc_get_default_files

    protected static final java.lang.String[] gtk_rc_get_default_files()

### gtk_rc_get_style

    protected static final Handle gtk_rc_get_style(Handle widget)

### gtk_rc_get_style_by_paths

    protected static final Handle gtk_rc_get_style_by_paths(Handle settings,
                                                            java.lang.String widget_path,
                                                            java.lang.String class_path,
                                                            int type)

### gtk_rc_reparse_all_for_settings

    protected static final boolean gtk_rc_reparse_all_for_settings(Handle settings,
                                                                   boolean forceLoad)

### gtk_rc_reset_styles

    protected static final void gtk_rc_reset_styles(Handle settings)

### gtk_rc_parse

    protected static final void gtk_rc_parse(java.lang.String filename)

### gtk_rc_parse_string

    protected static final void gtk_rc_parse_string(java.lang.String rcString)

### gtk_rc_reparse_all

    protected static final boolean gtk_rc_reparse_all()

### gtk_rc_find_module_in_path

    protected static final java.lang.String gtk_rc_find_module_in_path(java.lang.String moduleFile)

### gtk_rc_get_theme_dir

    protected static final java.lang.String gtk_rc_get_theme_dir()

### gtk_rc_get_module_dir

    protected static final java.lang.String gtk_rc_get_module_dir()

### gtk_rc_get_im_module_path

    protected static final java.lang.String gtk_rc_get_im_module_path()

### gtk_rc_get_im_module_file

    protected static final java.lang.String gtk_rc_get_im_module_file()